build bionic libc tests as part of system image

Change-Id: Ie8cdd07d2b82c37446a58d1ddaedceef45d7f407
Signed-off-by: Amit Pundir <amit.pundir@linaro.org>
diff --git a/tests/bionic/Android.mk b/tests/bionic/Android.mk
new file mode 100644
index 0000000..b72df25
--- /dev/null
+++ b/tests/bionic/Android.mk
@@ -0,0 +1,8 @@
+ifdef BIONIC_TESTS
+LOCAL_PATH := $(call my-dir)
+include $(CLEAR_VARS)
+
+subdirs := $(addprefix $(LOCAL_PATH)/,$(addsuffix /Android.mk,libc))
+
+include $(subdirs)
+endif
diff --git a/tests/bionic/libc/build-tests.mk b/tests/bionic/libc/build-tests.mk
new file mode 100644
index 0000000..f64fa85
--- /dev/null
+++ b/tests/bionic/libc/build-tests.mk
@@ -0,0 +1,66 @@
+#############################################################################
+# Copyright (c) 2013 Linaro
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+#
+# Contributors:
+#     Linaro <linaro-dev@lists.linaro.org>
+#############################################################################
+
+# pick up tests to build the system image
+PRODUCT_PACKAGES += \
+    bench_locks \
+    bench_pthread_shared \
+    bench_pthread_static \
+    bench_stdio \
+    libdlclosetest1 \
+    libdlclosetest2 \
+    libtest_relocs \
+    libtest_static_init \
+    test_aligned \
+    test_arc4random \
+    test_atomics \
+    test_clock \
+    test_clone \
+    test_cpu_set \
+    test_dlclose_destruction \
+    test_dlopen_null \
+    test_drand48 \
+    test_executable_destructor \
+    test_getaddrinfo \
+    test_getgrouplist \
+    test_gethostbyname \
+    test_gethostname \
+    test_libgen \
+    test_mutex \
+    test_netinet_icmp \
+    test_pthread_cleanup_push \
+    test_pthread_cond \
+    test_pthread_create \
+    test_pthread_getcpuclockid \
+    test_pthread_join \
+    test_pthread_mutex \
+    test_pthread_once \
+    test_pthread_rwlock \
+    test_relocs \
+    test_semaphore \
+    test_sem_post \
+    test_setjmp \
+    test_seteuid \
+    test_static_cpp_mutex \
+    test_static_executable_destructor \
+    test_static_init \
+    test_strftime_2039 \
+    test_strptime \
+    test_sysconf \
+    test_system \
+    test_timer_create \
+    test_timer_create2 \
+    test_timer_create3 \
+    test_tm_zone \
+    test_udp \
+    test_vfprintf_leak
+
+PRODUCT_COPY_FILES += system/extras/tests/bionic/libc/run-test_linaro.sh:system/bin/run-bionic-tests.sh
diff --git a/tests/bionic/libc/run-test_linaro.sh b/tests/bionic/libc/run-test_linaro.sh
new file mode 100755
index 0000000..1b78b4f
--- /dev/null
+++ b/tests/bionic/libc/run-test_linaro.sh
@@ -0,0 +1,30 @@
+#############################################################################
+# Copyright (c) 2013 Linaro
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+#
+# Contributors:
+#     Linaro <linaro-dev@lists.linaro.org>
+#
+# Usage:
+#     This test script is used to run all stock bionic/libc tests in one go 
+#     and capture results in LAVA.
+#     Test sources are available at "system/extras/tests/bionic/libc" 
+#############################################################################
+
+TESTS="bench_locks bench_pthread_shared bench_pthread_static bench_stdio test_aligned test_arc4random test_atomics test_clock test_clone test_cpu_set test_dlclose_destruction test_dlopen_null test_drand48 test_executable_destructor test_getaddrinfo test_getgrouplist test_gethostbyname test_gethostname test_libgen test_mutex test_netinet_icmp test_pthread_cleanup_push test_pthread_cond test_pthread_create test_pthread_getcpuclockid test_pthread_join test_pthread_mutex test_pthread_once test_pthread_rwlock test_relocs test_semaphore test_sem_post test_setjmp test_seteuid test_static_cpp_mutex test_static_executable_destructor test_static_init test_strftime_2039 test_strptime test_sysconf test_system test_timer_create3 test_tm_zone test_udp test_vfprintf_leak"
+
+# Rogue tests
+#TESTS+= "test_cond test_thread_max test_timer_create test_timer_create2"
+
+for TEST in $TESTS; do
+	$TEST
+	EXIT_STATUS=$?
+	if [ $EXIT_STATUS -ne 0 ]; then
+		echo "$TEST : FAIL"
+	else
+		echo "$TEST : PASS"
+	fi
+done